Zum Hauptinhalt springen

Get your LeadFyndr profile

GET/v2/customers/{customerId}/lead-fyndr-profile
API-Version
v2
Request-Methode
GET
Operation-ID
leadfyndr-get-lead-fyndr-profile

Request​

  • customerIdstringrequired

Responses​

Format
application/json
Beschreibung

The LeadFyndr profile.

  • *
Content-Type: application/json

null
{
"allOf": [
{
"properties": {
"approvedOn": {
"format": "date-time",
"type": "string"
},
"customerId": {
"type": "string"
},
"disabledOn": {
"format": "date-time",
"type": "string"
},
"domain": {
"type": "string"
}
},
"required": [
"customerId",
"domain",
"approvedOn"
],
"type": "object"
},
{
"properties": {
"tariff": {
"properties": {
"nextUnlockRenewalDate": {
"format": "date",
"type": "string"
},
"reservation": {
"properties": {
"available": {
"minimum": 0,
"type": "number"
},
"tariffLimit": {
"minimum": 0,
"type": "number"
},
"used": {
"minimum": 0,
"type": "number"
}
},
"required": [
"used",
"available",
"tariffLimit"
],
"type": "object"
},
"unlocked": {
"properties": {
"available": {
"minimum": 0,
"type": "number"
},
"tariffLimit": {
"minimum": 0,
"type": "number"
},
"used": {
"minimum": 0,
"type": "number"
}
},
"required": [
"used",
"available",
"tariffLimit"
],
"type": "object"
}
},
"required": [
"unlocked",
"reservation"
],
"type": "object"
}
},
"required": [
"tariff"
],
"type": "object"
}
]
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/lead-fyndr-profile
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.getLeadFyndrProfile({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\GetLeadFyndrProfile\GetLeadFyndrProfileRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetLeadFyndrProfileRequest(
customerId: "string"
));
$response = $client->leadFyndr()->getLeadFyndrProfile($request);

var_dump($response->getBody();

Auf dieser Seite